GPSMAN(1)

NAME
gpsman - a (graphical) manager of GPS data

SYNOPSIS
gpsman [-dev [usb=]DEVICE]
gpsman [OPTIONS] COMMAND [COMMAND_ARGS]

DESCRIPTION

gpsman GPS Manager (GPSMan) is a graphical manager of GPS data that makes possible the preparation, inspection and edition of GPS data in a friendly environment. GPSMan supports communication and real-time logging with Garmin, Lowrance and Magellan receivers and accepts real-time logging information in NMEA 0183 from any GPS receiver.

To comunicate with the GPS port the user must have been granted read/write permissions for the corresponding device.

For use in graphical mode GPSMan is normally invoked in the first form above, where the usb= prefix to the device path enforces the use of the Garmin USB protocol. The use in this mode is not further described here, a full description being given in the User Manual available along with the GPSMan distribution.

GPSMan can also be used in command line mode (with no graphical interface except with the readstart travel commands), in which case it must be invoked in the second form above. The sections below address this mode.

EXIT STATUS

In non-graphical mode GPSMan exits with either a 0 if COMMAND was successfully executed, or a 1 if not. Some commands will write information to the standard output channel. Error messages can possibly be written to the standard error channel, but most of the errors will not be explained. In case of doubt the graphical mode should be used to see if there are problems with files or the receiver.

OPTIONS

Apart from the -dev option all other options are only for use in non-graphical mode.

-dev DEVICE gives the device path.

-log creates a log file of the low-level communication
    under the name logfile in the GPSMan user directory.

-rec Garmin | Lowrance | Magellan
    changes the brand of the receiver (NOTE: at present will only work with Garmin); this option can be useful to override the options in the preferences file; cannot be used with the readput command, nor with the -prefs option, and cannot occur after the -prot option.

-prefs PREFSFILE
    gives the path for an alternative preferences file (read after the user preferences file); cannot be used with the -rec option.

-prot PROTOCOL
    selects the protocol to be used for connecting to the receiver; cannot occur before the -rec option; the show protocols command can be used to find out which protocols are available.

Options not related with COMMAND will be silently ignored.

NAME=VALUE ARGUMENTS

Some commands accept parameters in the form NAME=VALUE. The term PARAM when used here referring to arguments of a command has always this meaning. Care should be taken if the value part is a string with spaces (or other characters with special meaning for the shell or system command interpreter) in which case quotes or some other form of quoting should be used.

GPSMAN COMMAND SUMMARY

There is no room in a manual page to describe in detail the available commands. The following list gives a synopsis for all of them and the User Manual should be consulted for more information.

is available exits with 0.

is connected
    exits with 0 if a connection check with the receiver succeeds.

show WHAT writes help information to the standard output; WHAT is one of: datums, formats (data file formats), help, projections, protocols, symbols (waypoint symbols), transfs (coordinates transformations).

haslib LIBRARY checks availability of a library

getwrite INTYPES FORMAT [OUTTYPES] [OUTPARAMS] PATH transfers data from the receiver to a file.

readput FORMAT [INPARAMS] [INTYPES] PATH [OUTTYPES] transfers data from a file to the receiver.

getrtimelog PATH [INTERVAL] gets the real-time log from the receiver and saves it to a file.

getfix PATH [TIMEOUT] gets the current fix data from the receiver and saves it to a file.

getalmanac PATH gets the current almanac data from the receiver and saves it to a file.

read IN-FORMAT [PARAMS] [TYPES] PATH reads a data file and launches the graphical interface (in GPSMan scripts the behaviour is different; see the exec command in the User Manual).

start travel [INTERVAL] launches the graphical interface and starts real-time logging, animation and travelling.

translate FORMAT [INPARAMS] [INTYPES] PATH [HOWPARAMS] FORMAT [OUTPARAMS] [OUTTYPES] PATH translates from a file format to another.

project LATD LONGD DATUM PROJECTION [PARAMS] writes to the standard output the projection of a point.

georef IMGPATH TRANSF LATD LONGD LATD LONGD [LATD LONGD] DATUM X Y X Y [X Y] PROJECTION [PARAMS] writes to the standard output a map information file.

geopicts FORMAT [INPARAMS] INTYPE PATH [PROCPARAMS] [FORMAT] [OUTPARAMS] PATH PICTPATHS geo-references files either based on their time-stamps and a given track, or by using the sequence of waypoints in a group.

source PATH executes a Tcl/Tk script.

exec PATH executes a GPSMan script.

AUTHORS

This manual page was written by Miguel Filgueiras <migfilg_AT_t-online.de> using a previous version by Rogerio Reis <rvr_AT_debian.org>.

GPSMan: developed and maintained by Miguel Filgueiras, with contributions by Brian Baulch, Rogerio Reis, Andreas Lange, Alessandro Palmas, Niki Hammler, Martin Ostermann, Valere Robin, David Wolfskill, Rob Buitenhuis, Frank Kujawski, Tri Agus Prayitno, Matt Martin, Stefan Heinen, Heiko Thede, Sabine Broda, Alberto Morales, Martin Buck, David Kaplan, Jean H. Theoret, Paul Scorer, Nigel Orr, David Gardner, Nikolai Kosyakoff, Benoit Steiner, Sandor Laky, Alexander B. Preobrazhenskiy, Rudolf Martin.

REPORTING BUGS

Report bugs to <migfilg_AT_t-online.de>.

COPYRIGHT

Copyright (C) 1998-2013 by Miguel Filgueiras <migfilg_AT_t-online.de> and Rogerio Reis <rvr_AT_debian.org>

This is free software distributed under the GNU General Public License; a copy of this license is part of the distribution.

The two GPSMan logos used by gpsman ara under Copyright (C) 1998-2013 by Miguel Filgueiras and are distributed under a Creative Commons Attribution-NonCommercial-NoDerivs 3.0 Unported License. To view a copy of this license, visit
 http://creativecommons.org/licenses/by-nc-nd/3.0/.

All other images used by gpsman ara under Copyright (C) 1998-2013 by Miguel Filgueiras and are distributed under a Creative Commons Attribution-ShareAlike 3.0 Unported License. To view a copy of this license, visit http://creativecommons.org/licenses/by-sa/3.0/.

SEE ALSO

Miguel Filgueiras, GPSMan User Manual, Version 6.4.4.2, October 2013
This manual, in both PDF and HTML, is part of the distribution of GPSMan and can be retrieved from the GPSMan site at http://sourceforge.net/projects/gpsman. It is distributed under a Creative Commons Attribution-NonCommercial-NoDerivs 3.0 Unported License. To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/3.0/.